## org.apache.maven.shared.io.logging
Class MessageLevels

    java.lang.Object
      org.apache.maven.shared.io.logging.MessageLevels

    public final class MessageLevels

extends java.lang.Object

Field Summary
`static int` `LEVEL_DEBUG`
`static int` `LEVEL_DISABLED`
`static int` `LEVEL_ERROR`
`static int` `LEVEL_INFO`
`static int` `LEVEL_SEVERE`
`static int` `LEVEL_WARNING`

Method Summary
`static java.lang.String` `getLevelLabel(int messageLevel)`
`static boolean[]` `getLevelStates(int maxMessageLevel)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LEVEL_DEBUG

    public static final int LEVEL_DEBUG

See Also:
  Constant Field Values

### LEVEL_INFO

    public static final int LEVEL_INFO

See Also:
  Constant Field Values

### LEVEL_WARNING

    public static final int LEVEL_WARNING

See Also:
  Constant Field Values

### LEVEL_ERROR

    public static final int LEVEL_ERROR

See Also:
  Constant Field Values

### LEVEL_SEVERE

    public static final int LEVEL_SEVERE

See Also:
  Constant Field Values

### LEVEL_DISABLED

    public static final int LEVEL_DISABLED

See Also:
  Constant Field Values

Method Detail

### getLevelStates

    public static boolean[] getLevelStates(int maxMessageLevel)

### getLevelLabel

    public static java.lang.String getLevelLabel(int messageLevel)

Copyright © 2011. All Rights Reserved.